<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.distributable-web.hotrod-session-management" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-configuration,expiration-thread-pool-size,granularity,marshaller,remote-cache-container"/>
        <elem name="addr-params" value="profile,subsystem,hotrod-session-management"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.distributable-web"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.web.session-management-provider.$hotrod-session-management"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.web.routing-provider"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.remote-cache-container.$remote-cache-container"/>
    </requires>
    <refs>
        <ref feature="subsystem.distributable-web"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="expiration-thread-pool-size" nillable="true" stability="default"/>
        <param name="cache-configuration" nillable="true" stability="default"/>
        <param name="hotrod-session-management" feature-id="true"/>
        <param name="granularity" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="distributable-web"/>
        <param name="marshaller" nillable="true" stability="default"/>
        <param name="remote-cache-container" stability="default"/>
    </params>
</feature-spec>